#ifndef Param_h
#define Param_h

#include <Arduino.h>

// define class functions and variables
class Param
{
    // which are accessible by main program
    public:

		// constructor (function name = class name)
		Param();
		
		// Initialize the Param Object
		void Init();
		
                // the number of names/values which has been set (0..8)
		unsigned int PCount;
		
		// 8 parameter values max
		String PName[8];     // key/name of the parameter value
		String PValue[8];    // the value itself (String)
		int    PStatus[8];   // status of the value    0 = not set    1 = valid             -1 = not valid
		int    PType[8];     // type of the value      0 = not set    1 = String (textbox)   2 = Byte (slider)
		

};

#endif